<?php

/**
 * @file
 * Hooks provided by the CPS scheduler module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alter the errors when checking if a changeset can be scheduled.
 *
 * @param $errors
 *  An array of errors keyed by type
 *
 * @param $entities
 *  The list of tracked entitites
 */
function hook_cps_scheduler_not_allowed_alter(&$errors, $entities) {
  unset($errors['entity_type:taxonomy_term']);
  foreach ($entities as $entity_type => $entities) {
    foreach ($entities as $entity_id) {
      if ($entity_type == 'node' && $entity_id == 1) {
        $errors[$entity_type . ':' . $entity_id] = FALSE;
      }
    }
  }
}

/**
 * @} End of "addtogroup hooks".
 */
